[OSM-dev] imposm.parser - New Python library for OSM XML and PBF files

Michal Harakal michal.harakal at googlemail.com
Tue Apr 26 12:12:29 BST 2011


Hello,
I had troubles to install the library imposm.parser under MacOS X 10.6 with
XCode4 (no problems on ubuntu).
Short search lead to solution, witch other may find useful.

According to superuser.com [0], Apple with XCode4 removed support for PPC
assembler.
Setup tools include the PPC architecture by default. By me this had worked:

 ARCHFLAGS="-arch i386 -arch x86_64" python setup.py install


I hope this post can help somebody.

Best regards,
  Michal

[0]
http://superuser.com/questions/259278/python-2-6-1-pycrypto-2-3-pypi-package-broken-pipe-during-build
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstreetmap.org/pipermail/dev/attachments/20110426/343c1166/attachment.html>


More information about the dev mailing list